/* src/config.h.  Generated from config.h.in by configure.  */
/* src/config.h.in.  Generated from configure.ac by autoheader.  */

/* $PACKAGE_NAME config dir */
#define AGENT_CONFIG_DIR "/etc/captagent/"

/* capture plans dir */
#define AGENT_PLAN_DIR "/etc/captagent/"

/* our system prefix */
#define AGENT_PREFIX "/usr"

/* Enable epan support */
#define EPAN 1

/* Enable extra modules support */
#define EXTRAMODULES 1

/* Define to 1 if you have the <dlfcn.h> header file. */
#define HAVE_DLFCN_H 1

/* We have extra modules */
/* #undef HAVE_EXTRA_MODULES */

/* Define to 1 if you have the `fork' function. */
#define HAVE_FORK 1

/* Define to 1 if you have the `gettimeofday' function. */
#define HAVE_GETTIMEOFDAY 1

/* Define to 1 if you have the <inttypes.h> header file. */
#define HAVE_INTTYPES_H 1

/* Define to 1 if you have the <json-c/json.h> header file. */
#define HAVE_JSON_C_JSON_H 1

/* Define to 1 if you have the <json.h> header file. */
/* #undef HAVE_JSON_H */

/* Define to 1 if you have the <json/json.h> header file. */
/* #undef HAVE_JSON_JSON_H */

/* Define to 1 if you have the `dl' library (-ldl). */
#define HAVE_LIBDL 1

/* Define to 1 if you have the `expat' library (-lexpat). */
#define HAVE_LIBEXPAT 1

/* Define to 1 if you have the `pcap' library (-lpcap). */
#define HAVE_LIBPCAP 1

/* Define to 1 if you have the `pthread' library (-lpthread). */
#define HAVE_LIBPTHREAD 1

/* Define to 1 if you have the `wpcap' library (-lwpcap). */
/* #undef HAVE_LIBWPCAP */

/* Define to 1 if you have the <memory.h> header file. */
#define HAVE_MEMORY_H 1

/* Define to 1 if you have the `memset' function. */
#define HAVE_MEMSET 1

/* Define to 1 if you have the `select' function. */
#define HAVE_SELECT 1

/* Define to 1 if you have the `socket' function. */
#define HAVE_SOCKET 1

/* Define to 1 if you have the <stdint.h> header file. */
#define HAVE_STDINT_H 1

/* Define to 1 if you have the <stdlib.h> header file. */
#define HAVE_STDLIB_H 1

/* Define to 1 if you have the `strdup' function. */
#define HAVE_STRDUP 1

/* Define to 1 if you have the `strerror' function. */
#define HAVE_STRERROR 1

/* Define to 1 if you have the <strings.h> header file. */
#define HAVE_STRINGS_H 1

/* Define to 1 if you have the <string.h> header file. */
#define HAVE_STRING_H 1

/* Define to 1 if you have the `strndup' function. */
#define HAVE_STRNDUP 1

/* Define to 1 if you have the <sys/stat.h> header file. */
#define HAVE_SYS_STAT_H 1

/* Define to 1 if you have the <sys/types.h> header file. */
#define HAVE_SYS_TYPES_H 1

/* Define to 1 if you have the <unistd.h> header file. */
#define HAVE_UNISTD_H 1

/* Define to 1 if you have the `vfork' function. */
#define HAVE_VFORK 1

/* Define to 1 if you have the <vfork.h> header file. */
/* #undef HAVE_VFORK_H */

/* Define to 1 if `fork' works. */
#define HAVE_WORKING_FORK 1

/* Define to 1 if `vfork' works. */
#define HAVE_WORKING_VFORK 1

/* Define to the sub-directory where libtool stores uninstalled libraries. */
#define LT_OBJDIR ".libs/"

/* directory that modules will be installed to */
#define MODULE_DIR "/usr/lib64/captagent/modules"

/* Enable MySQL support */
#define MYSQL 1

/* Define to 1 if Operating System is Darwin */
/* #undef OS_DARWIN */

/* Define to 1 if Operating System is FreeBSD */
/* #undef OS_FREEBSD */

/* Define to 1 if Operating System is Linux */
#define OS_LINUX 1

/* Define to 1 if Operating System is NETBSD */
/* #undef OS_NETBSD */

/* Define to 1 if Operating System is SOLARIS */
/* #undef OS_SOLARIS */

/* Name of package */
#define PACKAGE "captagent"

/* Define to the address where bug reports for this package should be sent. */
#define PACKAGE_BUGREPORT "support@sipcapture.org"

/* Define to the full name of this package. */
#define PACKAGE_NAME "captagent"

/* Define to the full name and version of this package. */
#define PACKAGE_STRING "captagent 6.4.1"

/* Define to the one symbol short name of this package. */
#define PACKAGE_TARNAME "captagent"

/* Define to the home page for this package. */
#define PACKAGE_URL "http://www.sipcapture.org"

/* Define to the version of this package. */
#define PACKAGE_VERSION "6.4.1"

/* Enable pcre support */
#define PCRE 1

/* Enable redis */
#define REDIS 1

/* Enable SSL support */
#define SSL 1

/* Define to 1 if you have the ANSI C header files. */
#define STDC_HEADERS 1

/* Enable tls */
#define TLS 1

/* Use EPAN library */
/* #undef USE_EPAN */

/* Use GCRYPT library */
/* #undef USE_GCRYPT */

/* Use CRYPTO library */
/* #undef USE_GCRYPTO */

/* IPv6 (and ICMPv6) support */
#define USE_IPv6 1

/* Use lib UV */
#define USE_LIBUV 1

/* Use MYSQL library */
/* #undef USE_MYSQL */

/* Use PCRE library */
/* #undef USE_PCRE */

/* Use REDIS library */
/* #undef USE_REDIS */

/* Use OpenSSL SSL library */
/* #undef USE_SSL */

/* Use ZIP library */
/* #undef USE_ZLIB */

/* Version number of package */
#define VERSION "6.4.1"

/* Define to 1 if `lex' declares `yytext' as a `char *' by default, not a
   `char[]'. */
#define YYTEXT_POINTER 1

/* Enable compression support */
#define ZLIB 1

/* Define for Solaris 2.5.1 so the uint32_t typedef from <sys/synch.h>,
   <pthread.h>, or <semaphore.h> is not used. If the typedef were allowed, the
   #define below would cause a syntax error. */
/* #undef _UINT32_T */

/* Define for Solaris 2.5.1 so the uint8_t typedef from <sys/synch.h>,
   <pthread.h>, or <semaphore.h> is not used. If the typedef were allowed, the
   #define below would cause a syntax error. */
/* #undef _UINT8_T */

/* Define to the type of a signed integer type of width exactly 32 bits if
   such a type exists and the standard includes do not define it. */
/* #undef int32_t */

/* Define to the type of a signed integer type of width exactly 8 bits if such
   a type exists and the standard includes do not define it. */
/* #undef int8_t */

/* Define to `int' if <sys/types.h> does not define. */
/* #undef pid_t */

/* Define to the type of an unsigned integer type of width exactly 16 bits if
   such a type exists and the standard includes do not define it. */
/* #undef uint16_t */

/* Define to the type of an unsigned integer type of width exactly 32 bits if
   such a type exists and the standard includes do not define it. */
/* #undef uint32_t */

/* Define to the type of an unsigned integer type of width exactly 8 bits if
   such a type exists and the standard includes do not define it. */
/* #undef uint8_t */

/* Define as `fork' if `vfork' does not work. */
/* #undef vfork */
